ENTRY(protected_mode)

/* Grub nos puede cargar por encima del primer mega */
grub_load_address = 0x00100000;


SECTIONS {
	. = grub_load_address;
    .header : {
        start_section_header = .;
        *(.header)
        end_section_header = .;
    }
    .text : {
        start_section_text = .;
        *(.text)
        end_section_text = .;
    }
    .rodata : {    
        start_section_rodata = .;
        *(.rodata)
        end_section_rodata = .;
    }
    .data : {    
        start_section_data = .;
        *(.data)
        end_section_data = .;
    }
    COMMON : {
        start_section_COMMON = .;
        *(COMMON)
        end_section_COMMON = .;
    }
    .bss : {
        start_section_bss = .;
        *(.bss) 
        end_section_bss = .;
    }
    /DISCARD/ : {
        *(.comment)
        *(.note.GNU-stack)
    }
    __end = .;
}
