#ifndef __utils_H__
#define __utils_H__

#include <types.h>

// TODO: Revisar aridades

/* string.h */
void* memcpy(void* dst, const void *src, uint64_t count);
void* memmove(void* dst, const void* src, uint64_t count);
void* memset(void* dst, uint8_t value, uint64_t length);
uint64_t memcmp(const void* _m1, const void* _m2, uint64_t bytes);
uint64_t strlen(const char* str);
char* strcpy(char* dst, const char* src);
char* strncpy(char* dst, const char* src, uint64_t len); 
char* strcat(char* dst, const char* src);
char* strncat(char* dst, const char* src, uint64_t len);
int64_t strcmp(const char* str1, const char* str2);
int64_t strncmp(const char* str1, const char* str2, uint64_t n);

/* stdlib.h */
int64_t atoll(const char* string);

/* Non standard */
void itoa(int64_t number, char* output);
// Invierte una cantidad de caracteres
void strnrev(char* s, uint64_t n); 
// Invierte el orden de los elementos en el arreglo.
void strrev(char* s); 

/* Varias */
void itoa_log(uint64_t number, char* output, uint64_t base);
char byte_checksum(const void *buf, unsigned int len);

#endif  /* !__utils_H__ */
