# DeliriOS

Este proyecto engloba un exokernel liviano para AMD64 y el framework de
aplicaciones que corren en él. El objetivo que tiene es minimizar los costos
de las primitivas de sincronización entre threads. Para lograrlo, todo corre en
el anillo cero del procesador.

## Características

Puede ejecutar binarios con formato ELF64 y tiene soporte de lectura y escritura
en EXT2. Las aplicaciones tienen acceso a servicios del sistema mediante
llamadas con un solo nivel de indirección.

## Compilando y probando

El directorio raíz tiene un makefile maestro que se encarga de proveer las
dependencias para las distintas acciones. Ejecutando `make help` se obtiene una
lista de las acciones soportadas como correr deliriOS en bochs o qemu.

## Bibliografía adicional

En `doc/` se encuentra documentación más detallada del diseño y funcionamiento
del kernel y los otros componentes.