#include <types.h>

uint64_t bitmap_count_zeros(const void* const _bitmap,
                            uint64_t size, uint64_t offset);
uint64_t bitmap_search_zeros(const void* _bitmap, uint64_t size,
                             uint64_t offset, uint64_t count);
uint64_t bitmap_set_bits(const void* _bitmap, uint64_t size, 
                         uint64_t offset, int64_t count);
uint64_t bitmap_clear_bits(const void* _bitmap, uint64_t size, 
                         uint64_t offset, int64_t count);


void byte_string(uint8_t byte, char* buf);
void bitmap_string(const void* _bitmap, char* buf, uint64_t size);

uint64_t ctz8(uint8_t byte);
uint64_t clz8(uint8_t byte);
