#ifndef __COMMAND_H
#define __COMMAND_H

#include <types.h>

// Comandos del shell
int64_t change_directory(uint64_t argc, char* argv[]);
int64_t list_directory(uint64_t argc, char* argv[]);
int64_t echo_string(uint64_t argc, char* argv[]);
int64_t load_binary(uint64_t argc, char* argv[]);

typedef struct {
    char* name;
    int64_t (*command) (uint64_t, char* []);
} shell_command;

#endif // __COMMAND_H
